# Free Speech

Freedom of speech means there are no arbitrary punishments, imposed by government or anyone else, solely for talking about anything, making any public statement or publication of any information. **Free speech has to be by definition absolute and have no limits**, otherwise it's not free speech but controlled speech -- trying to add exceptions to free speech is like trying to limit to whom a [free software](free_software.md) license if granted; doing so immediately make such software non-free. Freedom of speech is an essential attribute of a mature society, sadly it hasn't been widely implemented yet and with the [SJW](sjw.md) cancer the latest trend in society is towards eliminating free speech rather than supporting it (see e.g. [political correctness](political_correctness.md)).

The basic principle of free speech says that **if you don't support freedom of speech which you dislike, you don't support free speech**.

Some idiots (like that [xkcd](xkcd.md) #1357) say that free speech is only about legality, i.e. about what's merely allowed to be said by the law. **This is wrong**, true free speech mustn't be limited by anything -- if you're not allowed to say something, it doesn't matter too much what it is that's preventing you, your speech is not free. If for example it is theoretically legal to be politically incorrect and criticize the LGBT gospel but you [de-facto](de_facto.md) can't do it because the LGBT fascist [SJWs](sjw.md) would [cancel](cancel_culture.md) you and maybe even physically lynch you, your speech is not free.

Despite what the propaganda says there is currently no free speech in our society, the only kind of speech that is allowed is that which has no effect. Illusion of free speech is sustained by letting people speak until they actually start making a change -- once someone's speech leads to e.g. revealing state secrets or historical truths (e.g. about [Holocaust](holocaust.md)) or to destabilizing economy or state, such speech is labeled "harmful" in some way (hate speech, intellectual property violation, revealing of confidential information, instigating crime, defamation etc.), censored and punished.